import { Directory, FileSystem, ShallowDirectory, File } from './api';
import { InternalEventsEmitter } from './utils';
export declare class LocalFileSystemCrudOnly implements FileSystem {
    baseUrl: string;
    readonly events: InternalEventsEmitter;
    protected isIgnored: (path: string) => boolean;
    constructor(baseUrl: string, ignore?: Array<string>);
    saveFile(relPath: string, newContent: string): Promise<void>;
    deleteFile(relPath: string): Promise<void>;
    deleteDirectory(relPath: string, recursive?: boolean): Promise<void>;
    loadTextFile(relPath: string): Promise<string>;
    loadDirectoryChildren(fullPath: string): Promise<(File | ShallowDirectory)[]>;
    loadDirectoryTree(fullPath: string): Promise<Directory>;
    ensureDirectory(relPath: string): Promise<void>;
}
